Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.SetThreadID Field
DatabaseEnvironmentConfig Class See Also

A delegate that returns a unique identifier pair for the current thread of control.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public SetThreadIDDelegate SetThreadID

Visual Basic (Declaration)
    Public SetThreadID As SetThreadIDDelegate

Visual C++
    public:
    SetThreadIDDelegate^ SetThreadID

# Remarks

This delegate supports FailCheck()()(). For more information, see Architecting Data Store and Concurrent Data Store applications, and Architecting Transactional Data Store applications, both in the Berkeley DB Programmer's Reference Guide.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace